#ifndef PARTICLE_H
#define PARTICLE_H

#include <Adafruit_NeoPixel.h>
class NeoPatterns; // Forward  declaration

class Particle
{
  public:
    Particle(NeoPatterns * parent, float pos, float speed, uint8_t hue, float brightness, float decay = 0.95);
    Particle();
    bool operator==(const Particle &p) const;
    void update();
    int _id;
    float brightness();
  private:
    float _pos;
    float _speed;
    float _brightness;
    float _decay;
    uint8_t _hue;
    NeoPatterns * _parent;
};

#endif
